unit history;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  Grids, Buttons;

type

  { TfmHistory }

  TfmHistory = class(TForm)
    BitBtn1: TBitBtn;
    StringGrid1: TStringGrid;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    procedure ViewHistory;
    { public declarations }
  end; 


var
  fmHistory: TfmHistory;



implementation

uses main;

{ TfmHistory }

procedure TfmHistory.FormCreate(Sender: TObject);
begin

end;

procedure TfmHistory.BitBtn1Click(Sender: TObject);
begin
  Close;
end;

procedure TfmHistory.ViewHistory;
var
  F: File of TPlayRec;
  Rec: TPlayRec;
  FileName: string;
  Index: Integer;
begin
  StringGrid1.RowCount:= 1;

  FileName:= ChangeFileExt(ParamStr(0), '.ply');
  AssignFile(F, FileName);
  FileMode:= 0;
  if FileExists(FileName) then
  begin
    Reset(F);
    while not Eof(F) do
    begin
      Read(F, Rec);
      Index:= StringGrid1.RowCount;
      StringGrid1.InsertColRow(false, 1);
      Index:= 1;
      StringGrid1.Cells[0, Index]:= IntToStr(StringGrid1.RowCount - 1);
      StringGrid1.Cells[1, Index]:= Rec.UserName;
      StringGrid1.Cells[2, Index]:= FormatDateTime('yyy-mm-dd hh:nn', Rec.ATime);
      StringGrid1.Cells[3, Index]:= IntToStr(Rec.Level);
      StringGrid1.Cells[4, Index]:= IntToStr(Rec.Mark);
      StringGrid1.Cells[5, Index]:= IntToStr(Rec.Correct);
      StringGrid1.Cells[6, Index]:= IntToStr(Rec.NotCorrect);
    end;
    CloseFile(F);
  end;


end;

initialization
  {$I history.lrs}

end.

