unit NumbersGame;

{$mode objfpc}{$H+}

interface




uses
  Classes, SysUtils, NumbersLib;

const
  OperatorsStr : string = '+-*/';


  function GetSimpleFormulaQuiz(Level: Byte): string;


implementation

function GetSimpleFormulaQuiz(Level: Byte): string;
var
  Op1, Op2: Integer;
  OpRange: Byte;
  AOperator: string;
  Sum: Double;
begin
  Op1:= Random(10 * Level);
  if Level < 3 then
    Op2:= Random(10 * Level)
  else
    Op2:= Random(30) + 1;
  if Level = 1 then
    OpRange:= 2
  else
  if Level = 2 then
    OpRange:= 3
  else
    OpRange:= 4;

  AOperator:= OperatorsStr[Random(OpRange) + 1];

  if (AOperator = '*') and (Level = 2) then
  begin
    Op1:= Random(13);
    Op2:= Random(13);
  end;

  if (AOperator = '*') and (Level = 3) then
  begin
    Op1:= Random(20);
    Op2:= Random(13);
  end;

  // Level 3, 4 Division
  if (AOperator = '/') and (Level in  [3, 4]) then
  repeat
    Op1:= Random(11 + Integer(Level = 4) * 15) + 2;
    Op2:= Random(11 + Integer(Level = 4) * 5) + 2;
  until Trunc(Op1 / Op2) = (Op1 / Op2);

  // Level 5, 6 Division
  if (AOperator = '/') and (Level in  [5, 6]) then
  repeat
    Op1:= Random(20 + Integer(Level = 6) * 20) + 2;
    Op2:= Random(15 + Integer(Level = 6) * 10) + 2;
  until (Trunc((Op1 / Op2) * 10) = (Op1 / Op2) * 10) and (Op1 <> Op2);

  if (AOperator = '-') and (Level = 1) then
  while Op2 > Op1 do
    Op2:= Random(10);
  Result:= IntToStr(Op1) + AOperator + IntToStr(Op2);
  Sum:= SimpleCalculate(Result);
  Result:= Result + '='+ FloatToStr(Sum);



end;

end.

